List subaccounts
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts \
--header 'Api-Access-Key: <api-key>'{
"data": [
{
"accruedFees": [
{
"startPeriod": "2024-06-01",
"endPeriod": "2024-06-15",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MANAGEMENT",
"totalBalanceInUSD": "121.33",
"state": "ONGOING"
},
{
"startPeriod": "2024-05-01",
"endPeriod": "2024-05-31",
"accruedValue": "1.12",
"rate": 0.01,
"type": "MANAGEMENT",
"totalBalanceInUSD": "112.33",
"state": "DONE"
},
{
"startPeriod": "2024-04-01",
"endPeriod": "2024-04-30",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MANAGEMENT",
"totalBalanceInUSD": "121.33",
"state": "DONE"
},
{
"startPeriod": "2024-06-01",
"endPeriod": "2024-06-15",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MODEL",
"totalBalanceInUSD": "121.33",
"state": "ONGOING"
},
{
"startPeriod": "2024-05-01",
"endPeriod": "2024-05-31",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MODEL",
"totalBalanceInUSD": "121.33",
"state": "DONE"
},
{
"startPeriod": "2024-04-01",
"endPeriod": "2024-04-30",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MODEL",
"totalBalanceInUSD": "121.33",
"state": "DONE"
}
],
"balances": [
{
"assetType": "BTC",
"availableForTrading": "<string>",
"availableForWithdrawal": "<string>",
"entries": [
{
"amount": "<string>",
"description": "<string>"
}
],
"totalBalance": "<string>"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"customerId": "<string>",
"externalSubaccountId": "<string>",
"fees": [
{
"type": "ADVISORY",
"rate": 0.01,
"startDate": "2023-08-01",
"isBillable": true
},
{
"type": "MODEL",
"rate": 0.01,
"startDate": "2023-08-01",
"isBillable": true
},
{
"type": "MANAGEMENT",
"rate": 0.01,
"startDate": "2023-08-01",
"isBillable": true
},
{
"type": "CUSTODY",
"rate": 0.01,
"startDate": "2023-08-01",
"isBillable": true
}
],
"name": "<string>",
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"customers": [
{
"customerId": "<string>"
}
]
}
],
"page": {
"next": "<next page url>"
}
}Subaccounts
List subaccounts
Permissions required: Subaccount or Read Subaccount
Return all subaccounts associated to a customerId
GET
/
subaccounts
/
customers
/
{customerId}
/
accounts
List subaccounts
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts \
--header 'Api-Access-Key: <api-key>'{
"data": [
{
"accruedFees": [
{
"startPeriod": "2024-06-01",
"endPeriod": "2024-06-15",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MANAGEMENT",
"totalBalanceInUSD": "121.33",
"state": "ONGOING"
},
{
"startPeriod": "2024-05-01",
"endPeriod": "2024-05-31",
"accruedValue": "1.12",
"rate": 0.01,
"type": "MANAGEMENT",
"totalBalanceInUSD": "112.33",
"state": "DONE"
},
{
"startPeriod": "2024-04-01",
"endPeriod": "2024-04-30",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MANAGEMENT",
"totalBalanceInUSD": "121.33",
"state": "DONE"
},
{
"startPeriod": "2024-06-01",
"endPeriod": "2024-06-15",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MODEL",
"totalBalanceInUSD": "121.33",
"state": "ONGOING"
},
{
"startPeriod": "2024-05-01",
"endPeriod": "2024-05-31",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MODEL",
"totalBalanceInUSD": "121.33",
"state": "DONE"
},
{
"startPeriod": "2024-04-01",
"endPeriod": "2024-04-30",
"accruedValue": "1.21",
"rate": 0.01,
"type": "MODEL",
"totalBalanceInUSD": "121.33",
"state": "DONE"
}
],
"balances": [
{
"assetType": "BTC",
"availableForTrading": "<string>",
"availableForWithdrawal": "<string>",
"entries": [
{
"amount": "<string>",
"description": "<string>"
}
],
"totalBalance": "<string>"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"customerId": "<string>",
"externalSubaccountId": "<string>",
"fees": [
{
"type": "ADVISORY",
"rate": 0.01,
"startDate": "2023-08-01",
"isBillable": true
},
{
"type": "MODEL",
"rate": 0.01,
"startDate": "2023-08-01",
"isBillable": true
},
{
"type": "MANAGEMENT",
"rate": 0.01,
"startDate": "2023-08-01",
"isBillable": true
},
{
"type": "CUSTODY",
"rate": 0.01,
"startDate": "2023-08-01",
"isBillable": true
}
],
"name": "<string>",
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"customers": [
{
"customerId": "<string>"
}
]
}
],
"page": {
"next": "<next page url>"
}
}Authorizations
An API key associated with a security role
Path Parameters
Unique Identifier for the customer
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Filter subaccounts by status
Maximum number of results to return per query
Required range:
1 <= x <= 100⌘I

